package com.qmth.teachcloud.report.business.bean.result;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/** 
* @Description: 诊断bean
* @Param:  
* @return:  
* @Author: wangliang
* @Date: 2020/12/7 
*/ 
public class DiagnosisResult implements Serializable {

    @ApiModelProperty(value = "是否通过")
    private boolean result = false;

    @ApiModelProperty(value = "是否赋分")
    private boolean isAssignedScore = false;

    @ApiModelProperty(value = "诊断详情")
    private List<DiagnosisDetailResult> list;

    public boolean isAssignedScore() {
        return isAssignedScore;
    }

    public void setAssignedScore(boolean assignedScore) {
        isAssignedScore = assignedScore;
    }

    public boolean isResult() {
        return result;
    }

    public void setResult(boolean result) {
        this.result = result;
    }

    public List<DiagnosisDetailResult> getList() {
        return list;
    }

    public void setList(List<DiagnosisDetailResult> list) {
        this.list = list;
    }
}
